#
# spec file for package mce-inject
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define my_make_flags destdir=%{buildroot} CFLAGS="%{optflags} -g"
Name:           mce-inject
Version:        0.2
Release:        3.2
Summary:        Inject/Simulate Machine Check Exceptions (MCEs)
License:        GPL-2.0
Group:          Development/Libraries/Other
Url:            http://git.kernel.org/?p=utils/cpu/mce/mce-inject.git;a=summary
#  LIBDIR32=%{_libdir} DESTDIR=$RPM_BUILD_ROOT
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  flex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ia64

%description
Offers the possibility to inject Machine Check Exceptions(MCE)
for debugging and testing purposes of MCEs.
Related packages: mce-test and mcelog

%prep
%setup -q

%build
%{my_make_flags} make -e

%install
%{my_make_flags} make install

%files
%defattr(-, root, root)
%{_sbindir}/mce-inject
%{_mandir}/man8/mce-inject.8.gz

%changelog
* Mon Nov  2 2015 fvogt@suse.com
- Use updated version from git:
  - Patches not required
  - Bump to version 0.2
* Thu Jul 16 2009 trenn@suse.de
- Initial check-in from git
